Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/31796/?format=api
{ "ob_id": 31796, "uuid": "eb86b88f7de342b58febee098f9aa6d9", "title": "ESA Aerosol Climate Change Initiative (Aerosol_cci): Images of Aerosol Absorbing Index produced by the Multi-Sensor UVAI (MS UVAI) algorithm, Version 1.7", "abstract": "The ESA Climate Change Initiative Aerosol project has produced a number of global aerosol Essential Climate Variable (ECV) products from a set of European satellite instruments with different characteristics. This dataset comprises images of Absorbing Aerosol Index (AAI) products, using the Multi-Sensor UVAI algorithm, Version 1.7. Images are available for monthly and climatology products. The underlying data is available as a separate product.\r\n\r\nFor further details about these data products please see the linked documentation.", "keywords": "ESA, CCI, Aerosol Absorbing Index", "publicationState": "published", "dataPublishedTime": "2020-08-27T16:01:38", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/31797/?format=api", "dataPath": "/neodc/esacci/aerosol/data/MS_UVAI/IMAGES/v1.7/", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 41983458, "numberOfFiles": 435, "fileFormat": "Data are .png images" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/8696/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/529/?format=api", "nonGeographicFlag": false, "phenomena": [], "dataLineage": "Data were processed by the ESA CCI Aerosol project team and supplied to CEDA in the context of the ESA CCI Open Data Portal Project.", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [ "https://api.catalogue.ceda.ac.uk/api/v2/projects/13341/?format=api" ], "observationcollection_set": [], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140292/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140287/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140288/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140289/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140290/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140291/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140293/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140286/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140294/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/140295/?format=api" ], "procedureAcquisition": null, "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2555/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "https://artefacts.ceda.ac.uk/licences/specific_licences/esacci_aerosol_terms_and_conditions.pdf", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }